function [eig_val,eig_vec] = Stability(obj,Utot,Jacobian)
% function [eig_val,eig_vec] = Stability(obj,Utot,Jacobian)
% Computes the Eigen values and the Eigen vectors of the Jacobian matrix.

%% Linear stability
K = Jacobian.K;

[eig_vec,eig_val] = eig(full(K));
eig_val = diag(eig_val);


%%% Computes the auxiliary eigen vectors
if ~isempty(Jacobian.dRauxdUaux)
    
    Kaux = Jacobian.dRauxdUaux;
    C = Jacobian.dRauxdU;
    
    %%% Without lambda
    eig_vec_aux = - Kaux\(C(:,1:end-1)*eig_vec);
    eig_vec = [eig_vec ; eig_vec_aux];
end

end

