function [Unew] = init_PD(obj,Section)
% function [Unew] = init_PD(obj,Section)
% Initialize at a period doubling point by adding zero in the 
% (2k+1) * (omega/2) terms of the Fourier series.

Uold = Section.Ustab;
Hold = ((size(Uold,1)-4)/obj.nz_tot-1)/2;

neq_old = obj.nz*(2*Hold+1);
neq_aux_old = obj.nz_aux*(2*Hold+1);
Zold = reshape(Uold([1:neq_old neq_old+3:neq_old+3+neq_aux_old-1]) , 2*Hold+1 , obj.nz_tot); 
omega = Uold(neq_old+1)/2;
lambda = Uold(neq_old+2);

H = obj.H;
DHp1 = 2*H+1;

Znew = zeros(DHp1,obj.nz_tot);
Znew([1 (3:2:min(2*Hold+2,H+1)) (H+3:2:min(2*H+1,H+2+2*Hold))],:) = Zold([(1:min(H/2+1,Hold+1)) (Hold+2:Hold+1+min(H/2,Hold))],:);

Unew = obj.init_U0(Znew,omega,lambda);

end