function [eig_values,eig_vectors] = Stability(obj,Utot,Jacobian)
% function [eig_values,eig_vectors] = Stability(obj,Utot,Jacobian)
% Computes the stability of a solution Utot with the Jacobian
% matrix K using the appropriate method.

switch obj.type
    case 'Equ'
        [eig_values,eig_vectors]=obj.Stability_Equ(Utot,Jacobian);
    case 'HBM'
        [eig_values,eig_vectors]=obj.Stability_HBM(Utot,Jacobian);
    case 'QPHBM'
        warndlg('Stability is not available for Quasi-periodic solutions.');
        eig_values = NaN;
        eig_vectors = NaN;
end
