function [eig_val,eig_vec] = Stability_Equ(obj,Utot,Jacobian)
% function [eig_val,eig_vec] = Stability_Equ(obj,Utot,Jacobian)
% Computes the eigenvalue and the eigenvectors of 

[eig_vec,eig_val] = eig(full(Jacobian.K));
[eig_val] = diag(eig_val);
[~,ind] = sort(abs(real(eig_val)));
eig_val = eig_val(ind);
eig_vec = eig_vec(:,ind);


if ~isempty(Jacobian.dRauxdUaux)
    
    Kaux = Jacobian.dRauxdUaux;
    C = Jacobian.dRauxdU;
    
    %%% Without lambda
    eig_vec_aux = - Kaux\(C(:,1:end-1)*eig_vec);
    eig_vec = [eig_vec ; eig_vec_aux];
end